import uuid

from typing import Optional

from pydantic import BaseModel, Field


class ProductLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]
    enabled: Optional[bool]

    class Config:
        fields = {"id_": "id"}
