import { BeerSaleReportItem } from './beer-sale-report-item';

export class BeerSaleReport {
  startDate: string;
  finishDate: string;
  headers: string[];
  data: BeerSaleReportItem[];

  public constructor(init?: Partial<BeerSaleReport>) {
    this.startDate = '';
    this.finishDate = '';
    this.data = [];
    this.headers = [];
    Object.assign(this, init);
  }
}
