import { VoucherType } from '../sales/bills/voucher-type';

import { ReportingLevel } from './reporting-level';

export class SettleOption {
  id: number;
  name: string;
  voucherType: VoucherType;
  reportingLevel: ReportingLevel;
  hasReason: boolean;
  isFixture: boolean;

  public constructor(init?: Partial<SettleOption>) {
    this.id = 0;
    this.name = '';
    this.voucherType = VoucherType.Kot;
    this.reportingLevel = ReportingLevel.Skip;
    this.hasReason = false;
    this.isFixture = false;
    Object.assign(this, init);
  }
}
