import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { GuestBookList } from './guest-book-list';
import { GuestBookService } from './guest-book.service';

@Injectable({
  providedIn: 'root',
})
export class GuestBookListResolver implements Resolve<GuestBookList> {
  constructor(private ser: GuestBookService) {}

  resolve(): Observable<GuestBookList> {
    return this.ser.list(null);
  }
}
