import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SaleCategory } from '../core/sale-category';

import { SaleCategoryService } from './sale-category.service';

@Injectable({
  providedIn: 'root',
})
export class SaleCategoryListResolver implements Resolve<SaleCategory[]> {
  constructor(private ser: SaleCategoryService) {}

  resolve(): Observable<SaleCategory[]> {
    return this.ser.list();
  }
}
