import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SettingsService } from './settings.service';

@Injectable({
  providedIn: 'root',
})
export class PrefillCustomerDiscountResolver implements Resolve<boolean> {
  constructor(private ser: SettingsService) {}

  resolve(): Observable<boolean> {
    return this.ser.getPrefillCustomerDiscount();
  }
}
