import locale

from decimal import Decimal
from typing import Union


def currency_format(amount: Union[Decimal, int]) -> str:
    return locale.currency(amount, symbol=False, grouping=True)


def format_no_decimals(amount: Union[Decimal, int]) -> str:
    return locale.format_string("%d", amount, grouping=True, monetary=True)
