import uuid

from typing import List

from pydantic import BaseModel

from . import to_camel


class Split(BaseModel):
    inventories: List[uuid.UUID]
    table_id: uuid.UUID

    class Config:
        alias_generator = to_camel
        fields = {"id_": "id"}
