import { CustomerDiscount } from './customer-discount';

export class Customer {
  id: string;
  name: string;
  phone: string;
  address: string;
  discounts: CustomerDiscount[];

  public constructor(init?: Partial<Customer>) {
    this.id = '';
    this.name = '';
    this.phone = '';
    this.address = '';
    this.discounts = [];
    Object.assign(this, init);
  }
}
