import { MenuCategory } from './menu-category';
import { Printer } from './printer';

export class SectionPrinter {
  menuCategory: MenuCategory | null;
  printer: Printer | null;
  copies: number;

  public constructor(init?: Partial<SectionPrinter>) {
    this.menuCategory = null;
    this.printer = null;
    this.copies = 0;
    Object.assign(this, init);
  }
}
