import { Section } from './section';

export class Table {
  id: string | undefined;
  name: string;
  seats: number;
  section?: Section;
  isActive: boolean;
  voucherId?: string;
  status?: string;
  pax?: number;
  guest?: string;
  date?: string;
  amount?: number;

  public constructor(init?: Partial<Table>) {
    this.id = undefined;
    this.name = '';
    this.seats = 0;
    this.section = new Section();
    this.isActive = true;
    Object.assign(this, init);
  }
}
