import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Modifier } from '../core/modifier';

import { ModifierService } from './modifier.service';

@Injectable({
  providedIn: 'root',
})
export class ModifierListResolver implements Resolve<Modifier[]> {
  constructor(private ser: ModifierService) {}

  resolve(): Observable<Modifier[]> {
    return this.ser.list();
  }
}
