import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SettleOption } from '../core/settle-option';

import { SettleOptionService } from './settle-option.service';

@Injectable({
  providedIn: 'root',
})
export class SettleOptionListResolver implements Resolve<SettleOption[]> {
  constructor(private ser: SettleOptionService) {}

  resolve(): Observable<SettleOption[]> {
    return this.ser.list();
  }
}
