import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Table } from '../core/table';

import { TableService } from './table.service';

@Injectable({
  providedIn: 'root',
})
export class TableListResolver implements Resolve<Table[]> {
  constructor(private ser: TableService) {}

  resolve(): Observable<Table[]> {
    return this.ser.list();
  }
}
