#!/usr/bin/env bash
parent_path=$( cd "$(dirname "${BASH_SOURCE[0]}")" || exit ; pwd -P )
cd "$parent_path/bookie" || exit
npx prettier --write src/
npx ng lint --fix
cd "$parent_path/barker" || exit
isort barker
black barker
flake8 barker
